libzypp 17.37.10

zyppng::detail::is_future_monad_cb< Callback, MsgType, std::void_t< std::enable_if_t< is_async_op_v< Callback > >, decltype(std::declval< remove_smart_ptr_t< Callback > >()(std::declval< MsgType >())) > > Struct Template Reference

`#include <zypp-core/zyppng/pipelines/asyncresult.h>`

Inheritance diagram for zyppng::detail::is_future_monad_cb< Callback, MsgType, std::void_t< std::enable_if_t< is_async_op_v< Callback > >, decltype(std::declval< remove_smart_ptr_t< Callback > >()(std::declval< MsgType >())) > >:

## Detailed Description

template<typename Callback, typename MsgType>
struct zyppng::detail::is_future_monad_cb< Callback, MsgType, std::void_t< std::enable_if_t< is_async_op_v< Callback > >, decltype(std::declval< remove_smart_ptr_t< Callback > >()(std::declval< MsgType >())) > >

Definition at line 31 of file asyncresult.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/pipelines/asyncresult.h